﻿namespace Plane.Copters
{
    public static class Constants
    {
        /// <summary>
        /// 最高加速度，单位为 m/s2。
        /// </summary>
        public const float MAX_ACCEL = 10f;

        public const ushort MAX_CHANNEL = 1900,
            MIN_CHANNEL = 1100,
            MAX_CHANNEL_DELTA = 370,
            HOVER_CHANNEL = 1500,
            MAX_HOVER_CHANNEL = MAX_CHANNEL - MAX_CHANNEL_DELTA,
            MIN_HOVER_CHANNEL = MIN_CHANNEL + MAX_CHANNEL_DELTA;

        /// <summary>
        /// 飞行过程中的最大倾斜角度。
        /// </summary>
        public const float MAX_TILT_IN_FLIGHT = 45;

        /// <summary>
        /// 最高速度，单位为 m/s。
        /// </summary>
        public const float MAX_VEL = 5f;
    }
}
